## org.apache.aries.subsystem.core.internal
Class GetSubsystemHeadersAction

    java.lang.Object
      org.apache.aries.subsystem.core.internal.GetSubsystemHeadersAction

All Implemented Interfaces:
  PrivilegedAction<Map<String,String>>

    public class GetSubsystemHeadersAction

extends Object
implements PrivilegedAction<Map<String,String>>

Constructor Summary
`GetSubsystemHeadersAction(BasicSubsystem subsystem)`

Method Summary
`Map<String,String>` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetSubsystemHeadersAction

    public GetSubsystemHeadersAction(BasicSubsystem subsystem)

Method Detail

### run

    public Map<String,String> run()

  Specified by:
    `run` in interface `PrivilegedAction<Map<String,String>>`

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.